export interface AnonCredsSchema {
    issuerId: string;
    name: string;
    version: string;
    attrNames: string[];
}
export interface AnonCredsCredentialDefinition {
    issuerId: string;
    schemaId: string;
    type: 'CL';
    tag: string;
    value: {
        primary: Record<string, unknown>;
        revocation?: unknown;
    };
}
export interface AnonCredsRevocationRegistryDefinition {
    issuerId: string;
    revocDefType: 'CL_ACCUM';
    credDefId: string;
    tag: string;
    value: {
        publicKeys: {
            accumKey: {
                z: string;
            };
        };
        maxCredNum: number;
        tailsLocation: string;
        tailsHash: string;
    };
}
export interface AnonCredsRevocationStatusList {
    issuerId: string;
    revRegDefId: string;
    revocationList: Array<number>;
    currentAccumulator: string;
    timestamp: number;
}
